<?xml version="1.0" standalone="no" ?>
<!-- JEDIVIEW Startup Configurtion file-->
<Configuration Lang="0x804=syscfg.chs">

<Catalog name="Communication">
	<Item name="Protocol" 
	      type="COMBOLIST" 
	      content="Protocol" 
	      default="JEDI"
	      description="This item indicates what kind of emulator is used for debugging. " 
	      datatype="string" offset= "196"
	/>
	<Item name="Port" 
	      type="COMBOLIST" 
	      content="Port" 
	      depend="Protocol"
	      
	      description="The Communication port used to connect to emulator. " 
	      datatype="string" offset= "324"
	/>	
	<Item name="" 

	      content="Item" 
	      depend="Port"
	      default=""
	      description="The parameter of your communication channel" 
	      datatype="string" offset= "388"
	/>	

     <Item name="Driver" type="static" content="Driver" depend="Protocol" 
         description="" 
         datatype="string" offset = "260"
     />       

        
</Catalog>

<Catalog name="Target">

	<Item name="CpuCore" 
	      type="COMBOLIST" 
	      content="CpuCore" 
	      default="ARM7TDMI"
	      description="The Core name of your target CPU " 
	      datatype="string" offset= "132"
	/>
	
	<Item name="Peripherial_File" 
	      type="File" 
	      content="" 
	      description="This file contains the peripheral information for one chip, used in Perip Addd-ons" 
	      datatype="string" offset= "4"
	      runedit="1"	      
	/>

        <Item name="MultiCore"   type="iFile"  content="" 
            default=""  
            description="Multi-taps configuration, you can create a config file by MultiCore button. This option is only valid on JEDI-II" 
            datatype="string" offset= "100"
         />
         
	<Item name="TapIndex" 
	      type="Edit" 
	      content="0" 
	      default="0" 
	      description="The tap index in the tap chain of your target board,&lt;br&gt;This option is only valid in multi-core debugging" 
	      datatype="char" offset= "67"
	/>    
   
        
        <Item name="Endian" 
            type="COMBOLIST" 
            content="Little!Big" 
            default="Little" 
            description="Indicate the endian mode of your target CPU" 
            datatype="enum" offset = "0" 
         />
		
        <Item name="Initial_File" 
            type="File" 
            content="" 
            default="" 
            description="This file is used to initialize your target board,&lt;br&gt;different board will use different files." 
            datatype="string" offset= "516"
            runedit="1"
         />
        <Item name="Semihosting" 
            type="Check" 
            content="0" 
            default="0" 
            description="This option is used to control the debugger to handle the semihosting mechanism,&lt;br&gt;for what is semihosting , please refer to ARM compiler manuals" 
            datatype="dword" offset = "1036" 
	    runedit="1"	                  
         />
        <Item name="SWI_Vector_Address" 
            type="Edit" 
            content="" 
            default="0x8" 
            description="The exception handler address of SWI exception, default is 8" 
            datatype="dword" offset = "1044" 
            runedit="1"            
         />         
         
               
        <Item name="Top_Memory" type="edit" content="-1" default="0x02400000" 
            description="If you are using an EmbeddedICE interface,&lt;br&gt;set Top Memory to the total amount of memory on your development board." 
            datatype="dword" offset = "772" 
            runedit="1"            
        />
        <Item name="Cache_Clean_Code_Address" type="edit" content="" default="0x00000050" 
            description="The address of a 256 byte region of readable, writable memory that&lt;br&gt;JEDI/JEDI-II uses to clean the processor code,and to restart some cores.&lt;br&gt;Your application must not use this region, and it can not be remapped.&lt;br&gt;The default is 0x50." 
            datatype="dword" offset = "776"
            runedit="1"            
        />
        
        <Item name="Reset_Option" 
            type="COMBOLIST" 
            content="HW Reset and Halt!SW Reset to Reset Vect!HW Reset Only!Halt Only!Do Nothing" 
            default="HW Reset and Halt" 
            description="Indicate System Reset Type. If connection fails, please try other options" 
            datatype="enum" offset = "1" 
         />
        <Item name="JTAG_Clock" 
            type="COMBOLIST" 
            content="Auto!20M!10M!5M!3.3M!2.5M!2M!1.25M!1M!909K!833K!714K!625K!500K!400K!303K!200k!100K!80K!50K!40K!20K!10K!5K!1K" 
            default="10M" 
            description="To specify TCK of JTAG. This option is only valid on JEDI-II." 
            datatype="enum" offset = "768"           
         />         
        
        
        <Item name="Register_Map" type="static" content="RegisterMap"  
            depend="CpuCore"
            description="" 
            datatype="string" offset = "780"
        />
        
        <Item name="CpuFamily" type="static" content="family"  
            depend="CpuCore"
            description="" 
            datatype="string" offset = "68"
        />

        
        <Item name="Cpu_Id" type="static" content="CpuId"
        	depend="CpuCore"
        	description="Cpu Core ID for internal use"
        	datatype="u16" offset = "2"
        />

        <Item name="Mem_Map" type="File" 
	            content="" 
	            default="" 
        	description="The Memory map config file for the target board"
        	datatype="string" offset = "844"
        /> 
        <Item name="MapEnable" type="Check" content="0" default="0" 
        	description="Enable Mem Map" runedit="1"
        	datatype="u8" offset = "1035"
        />           
	<Item name="CP_type" type="static" content="CPtype" depend="CpuCore"
        	description="Cpu CP type(0-no CP, 1-MMU, 2-PU, 3-COUPLEMEM)"
        	datatype="u8" offset = "66"
        />
</Catalog>



<Port name ="Net" title = "IPAddress" type="Edit" default="172.20.1.108" description="Specifies the IP address of the emulator" >
</Port>
		    
<Port name ="LPT" title = "Address" type="Edit" default="0x378" ndepend = '1' description="Specifies the address of the parallel port(LPT) used to connect to the emulator">
	
</Port>

<Port name ="COM" type="COMBOLIST" title="BaudRate" default="57600" ndepend = '1' description="Specifies the baudrate of the serial port used to connect the emulator">
    <Item name = "9600" />
    <Item name = "19200" />
    <Item name = "38400" />
    <Item name = "57600" />
    <Item name = "115200" />
</Port>


<Endian name="Endian" type="COMBOLIST" default="Little" description="" 
            symbol= "szCpuType"/>
	 


<Protocol name="Simulator"   Driver="simarm.dll" description="This protocol is used to connect simulator."/>
<Protocol name="Wiggler" default= "LPT1"  Driver="ocdarm.dll"  description="This protocol is used to connect Wiggler emulator of Macraigor!">
	<Port name="LPT1"/>
	<Port name="LPT2" />

</Protocol>		
<Protocol name="Raven" default= "LPT1"  Driver="ocdarm.dll" description="This protocol is used to connect Raven emulator of Macraigor!">
	<Port name="LPT1"/>
	<Port name="LPT2" />
</Protocol>		
<Protocol name="PowerProbe" default= "LPT1"  Driver="ocdarm.dll" description="This protocol is used to connect Powerprobe emulator of Micetek!">
	<Port name="LPT1"/>
	<Port name="LPT2" />
</Protocol>		
<Protocol name="JEDI" default= "Net" Driver="ocdarm.dll" description="This protocol is used to connect JEDI emulator of Micetek">
	<Port name="Net"  />
	<Port name="COM1" />
	<Port name="COM2" />
	<Port name="COM3" />
	<Port name="COM4" />
	<Port name="USB"  />	
</Protocol>		

<Protocol name="JUDI" default= "USB" Driver="ocdarm.dll" description="This protocol is used to connect JEDI emulator of Micetek">
	<Port name="USB"  />	
</Protocol>		

<Protocol name="JMon" default= "COM1" Driver="monwrap.dll" description="This protocol is used to connect Debug monitor from Micetek">
	<Port name="COM1" />
	<Port name="COM2" />
	<Port name="COM3" />
	<Port name="COM4" />
</Protocol>		


<Protocol name="MDI"   default= "Net" Driver="mdisvr.dll" description="This protocol is used to connect EPI majic emulator!" >
	<Port name="Net" />
	<Port name="COM1" />
	<Port name="COM2" />
	<Port name="COM3" />
	<Port name="COM4" />
</Protocol>	

<Protocol name="MDB"  default= "Net" Driver="netmdb.dll" title = "Target_Server" type="Edit" description="This protocol is used to debug linux/uClinux Application by a Target Server,&lt;br&gt;You should run TargetServer first,&lt;br&gt;and set IPAddress as the address of TargetServer." >
	<Port name="Net" />
</Protocol>	

	
<Protocol name="MDB2"  default= "Net" Driver="netmdb2.dll" title = "Target Addr" type="Edit" description="This is a upgrade of MDB protocol, but it need not Target server,&lt;br&gt;You set IPAddress to the IP of your target board.">
	<Port name="Net" />
	<Port name="COM1" />
	<Port name="COM2" />
	<Port name="COM3" />
	<Port name="COM4" />	
</Protocol>	

<Protocol name="Simulator-2"  Driver="SimARM2Svr.dll" description="This protocol is used to connect simulator-2."/>

<CpuCore name = "ARM7TDMI" type="COMBOLIST" family="ARM" CpuId="12" CPtype="0" RegisterMap="reg_arm.xml" />
<CpuCore name = "ARM7TDMI_WINBOND" type="COMBOLIST" family="ARM" CpuId="128" CPtype="0" RegisterMap="reg_arm.xml" />
<CpuCore name = "ARM7TDMI_S" type="COMBOLIST" family="ARM" CpuId="253" CPtype="0" RegisterMap="reg_arm.xml" />
<CpuCore name = "ARM720T" type="COMBOLIST" family="ARM" CpuId="252" CPtype="1" RegisterMap="reg_arm.xml;arm720t.xml" />
<CpuCore name = "ARM9TDMI" type="COMBOLIST" family="ARM" CpuId="249" CPtype="0" RegisterMap="reg_arm.xml" />
<CpuCore name = "ARM920T" type="COMBOLIST" family="ARM" CpuId="254" CPtype="1" RegisterMap="reg_arm.xml;arm920t.xml" />
<CpuCore name = "ARM922T" type="COMBOLIST" family="ARM" CpuId="254" CPtype="1" RegisterMap="reg_arm.xml;arm920t.xml" />
<CpuCore name = "ARM925T" type="COMBOLIST" family="ARM" CpuId="254" CPtype="1" RegisterMap="reg_arm.xml;arm920t.xml" />
<CpuCore name = "ARM926EJ_S" type="COMBOLIST" family="ARM" CpuId="251" CPtype="1" RegisterMap="reg_arm.xml;arm926ej_s.xml" />
<CpuCore name = "ARM940T" type="COMBOLIST" family="ARM" CpuId="255" CPtype="2" RegisterMap="reg_arm.xml;arm940t.xml" />
<CpuCore name = "ARM946E_S" type="COMBOLIST" family="ARM" CpuId="250" CPtype="2" RegisterMap="reg_arm.xml;arm946e_s.xml" />
<CpuCore name = "ARM966ES" type="COMBOLIST" family="ARM" CpuId="248" CPtype="2" RegisterMap="reg_arm.xml;arm966es.xml" />
<CpuCore name = "VIA_ZAC2" type="COMBOLIST" family="ARM" CpuId="130" CPtype="0" RegisterMap="reg_arm.xml" />
<CpuCore name = "VIA_ZAC2MMU" type="COMBOLIST" family="ARM" CpuId="131" CPtype="1" RegisterMap="reg_arm.xml;zac2mmu.xml" />
<CpuCore name = "VIA_ZAC2PU" type="COMBOLIST" family="ARM" CpuId="132" CPtype="2" RegisterMap="reg_arm.xml;zac2pu.xml" />

<Reset_Option name="HW Reset and Halt"   description="Emulator send hardware reset signal to target board,&lt;br&gt;then stop the target" />
<Reset_Option name="SW Reset to Reset Vect"   description="Emulator does not send hardware reset signal to target board,&lt;br&gt;just halt target,and initial some registers" />
<Reset_Option name="HW Reset Only"   description="Emulator send hardware reset signal to target board,&lt;br&gt;and let target runing" />
<Reset_Option name="Halt Only"   description="Emulator just stop the target" />

</Configuration>

